%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Name:           simple-ccsm
Version:        0.7.6
Release:        1
Summary:        Simple Compiz Config Settings Manager

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  perl(XML::Parser), intltool, gettext
Requires:       compizconfig-python = %{version} , libcompizconfig = %{version}
Requires:       PyGTK >= 2.10

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the simplified gui configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%setup -q 

%build


%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%find_lang %{name}

%post
update-desktop-database -q %{_datadir}/applications
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database -q %{_datadir}/applications
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/simple-ccsm
%{_datadir}/applications/simple-ccsm.desktop
%{_datadir}/simple-ccsm/images
%{_datadir}/simple-ccsm/profiles
%{_datadir}/simple-ccsm/simple-ccsm.glade
%{_datadir}/icons/hicolor
%exclude /usr/lib/python2.5/site-packages/simple_ccsm-%{version}-py2.5.egg-info


%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.6-1
- Version update
* Tue May 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Initial release
